## puppetdb 4.4.1

=== debian/changelog ===
puppetdb (4.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #673515)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Aug 2017 18:44:07 -0400
