=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

PRODUCED_JAR=puppetdb.jar
export CLASSPATH=/usr/share/java/clojure.jar:/usr/share/java/activemq-broker.jar:/usr/share/java/activemq-client.jar:/usr/share/java/activemq-kahadb-store.jar:/usr/share/java/bidi.jar:/usr/share/java/cheshire.jar:/usr/share/java/clj-digest.jar:/usr/share/java/clj-http.jar:/usr/share/java/clj-stacktrace.jar:/usr/share/java/clj-time.jar:/usr/share/java/commons-compress.jar:/usr/share/java/commons-lang3.jar:/usr/share/java/pantomime.jar:/usr/share/java/compojure.jar:/usr/share/java/specter.jar:/usr/share/java/core.async.jar:/usr/share/java/core.match.jar:/usr/share/java/core.memoize.jar:/usr/share/java/fast-zip-visit.jar:/usr/share/java/HikariCP.jar:/usr/share/java/honeysql.jar:/usr/share/java/hooke.jar:/usr/share/java/instaparse.jar:/usr/share/java/java.jdbc.jar:/usr/share/java/math.combinatorics.jar:/usr/share/java/math.numeric-tower.jar:/usr/share/java/metrics-clojure.jar:/usr/share/java/at-at.jar:/usr/share/java/postgresql.jar:/usr/share/java/prismatic-schema.jar:/usr/share/java/puppetlabs-comidi.jar:/usr/share/java/dujour-version-check.jar:/usr/share/java/puppetlabs-http-client.jar:/usr/share/java/puppetlabs-i18n.jar:/usr/share/java/kitchensink.jar:/usr/share/java/stockpile.jar:/usr/share/java/trapperkeeper.jar:/usr/share/java/trapperkeeper-metrics.jar:/usr/share/java/trapperkeeper-status.jar:/usr/share/java/trapperkeeper-webserver-jetty9.jar:/usr/share/java/raynes-fs.jar:/usr/share/java/ring-core.jar:/usr/share/java/slf4j-api.jar:/usr/share/java/slingshot.jar:/usr/share/java/tools.logging.jar:/usr/share/java/tools.macro.jar:/usr/share/java/tools.namespace.jar:/usr/share/java/versioneer.jar:/usr/share/java/data.priority-map.jar:/usr/share/java/asm-all.jar:/usr/share/java/java.jmx.jar:/usr/share/java/geronimo-jms_1.1_spec.jar:/usr/share/java/glassfish-javaee.jar:/usr/share/java/commons-logging.jar

MAVEN_INF=$(CURDIR)/debian/META-INF/maven/puppetlabs/puppetdb
LEIN_INF=$(CURDIR)/debian/META-INF/leiningen/puppetlabs/puppetdb

%:
	dh $@ --with=javahelper

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/$(PRODUCED_JAR)
	rm -rf $(CURDIR)/debian/META-INF

override_jh_build:
	jar cf $(PRODUCED_JAR) -C src .
	jar uf $(PRODUCED_JAR) -C resources public
	jar uf $(PRODUCED_JAR) -C resources puppetlabs
	jar uf $(PRODUCED_JAR) -C resources/puppetlabs/puppetdb bootstrap.cfg
	mkdir -p $(MAVEN_INF) $(LEIN_INF)
	cp debian/pom.xml $(MAVEN_INF)
	sed -e 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/' debian/pom.properties > $(MAVEN_INF)/pom.properties
	cp project.clj $(LEIN_INF)
	jar uf $(PRODUCED_JAR) -C debian META-INF

override_jh_classpath:
	jh_classpath $(PRODUCED_JAR)

override_dh_install:
	dh_install
	rm $(CURDIR)/debian/puppetdb/etc/puppetdb/conf.d/database.ini
	find $(CURDIR)/debian/puppetdb/etc/puppetdb -type f -exec \
	  sed -i -e 's#/etc/puppetlabs/#/etc/#g' \
		 -e 's#/var/log/puppetlabs/#/var/log/#' \
		 -e 's#/opt/puppetlabs/server/data/puppetdb#/var/lib/puppetdb#g' \
		 {} \;

.PHONY: override_dh_auto_build override_dh_auto_install
