=== debian/tests/control ===
Tests: standalone
Depends: postgresql-contrib, puppetdb, curl, jq
Restrictions: needs-root
