## puppetdb 5.0.1

=== debian/changelog ===
puppetdb (5.0.1-1puppetlabs1) trusty; urgency=low

  * Update to version 5.0.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 26 Jun 2017 15:22:24 -0700
