## puppetdb 5.1.0

=== debian/changelog ===
puppetdb (5.1.0-1puppetlabs1) jessie; urgency=low

  * Update to version 5.1.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 12 Sep 2017 09:42:50 -0700
