=== debian/changelog ===
puppetdb (5.1.1-1puppetlabs1) stretch; urgency=low

  * Update to version 5.1.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Fri, 29 Sep 2017 14:42:05 -0700
