=== debian/control ===
Source: puppetdb
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, bc, mawk, lsb-release, ruby | ruby-interpreter
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetdb
Architecture: all
# net-tools is required for netstat usage in service unit file
# See: https://tickets.puppetlabs.com/browse/SERVER-338
# procps is required for pgrep, used in several of the init scripts
Depends: ${misc:Depends}, openjdk-8-jre-headless, net-tools, adduser, procps, puppet-agent (>= 4.99.0)
Replaces: 
Conflicts: 
Description: Puppet Labs puppetdb
 Contains: Puppet-integrated catalog and fact storage (puppetlabs/puppetdb 5.1.1,org.clojure/clojure 1.8.0,puppetlabs/puppetdb 5.1.1)

Package: puppetdb-termini
Architecture: all
Depends: ${misc:Depends}, puppet-agent
Provides: puppetdb-terminus
Replaces: puppetdb-terminus
Conflicts: puppetdb-terminus
Description: Termini for puppetdb
 Contains terminus for:
  puppetdb (version 5.1.1)
