=== debian/changelog ===
puppetdb (6.2.0-3) unstable; urgency=medium

  * Drop B-D on activemq; support removed upstream

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 20 Feb 2019 08:42:16 +0200

puppetdb (6.2.0-2) unstable; urgency=medium

  * autopkgtests: fix race condition in puppet test
  * autopkgtests: check status in a more robust manner

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 08 Feb 2019 22:56:57 +0200

puppetdb (6.2.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches merged upstream:
     - 0001-Do-not-use-pooled-ActiveMQ-connections.patch
     - 0001-PDB-3993-Don-t-lookup-namespaces-to-compute-cli-subc.patch
     - honeysql-0.7-compat.patch
  * systemd: use the new puppetdb service entrypoint
  * Add puppet integration DEP-8 test
  * database.ini: drop obsolete log-slow-statements option

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 08 Feb 2019 12:43:03 +0200

puppetdb (4.4.1-3) unstable; urgency=medium

  * Fix startup issues with JRE 11/Clojure 1.9 (Closes: #878193)
    + Backport upstream change to not lookup namespaces to compute cli
      subcommands; modify to not expose the (non-working in Debian) benchmark
      commands
    * (B-)Depend on libgeronimo-j2ee-management-1.1-spec-java and add the jar
      to the classpath
  * Bump Standards-Version to 4.3.0; no changes needed
  * d/copyright: bump debian/ years
  * Bump dh compat to 11; no changes needed
  * Drop the logrotate config, rotation is handled by logback (Closes:
    #881584)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 08 Feb 2019 01:02:24 +0200

puppetdb (4.4.1-2) unstable; urgency=medium

  * puppetdb.service: expand $JAVA_ARGS
  * Drop B-D on glassfish-javaee (Closes: #884186)
  * Drop B-D on dh-systemd
  * Switch Vcs-* URLs to salsa.d.o
  * Ship NOTICE.txt as required by the Apache License, Version 2.0

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 10 Oct 2018 17:45:23 +0300
