=== debian/control ===
Source: puppetdb
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 11),
               default-jdk-headless,
               dh-exec,
               javahelper,
               libasm-java,
               libbidi-clojure (>= 2.0.12),
               libcheshire-clojure (>= 5.7.1),
               libclj-digest-clojure (>= 1.4.3),
               libclj-http-clojure (>= 2.0.1),
               libclj-stacktrace-clojure (>= 0.2.6),
               libclj-time-clojure (>= 0.11.0),
               libpantomime-clojure (>= 2.1.0),
               libspecter-clojure (>= 0.5.7),
               libcommons-compress-java (>= 1.10),
               libcommons-lang3-java (>= 3.4),
               libcommons-logging-java,
               libcompojure-clojure (>= 1.5.0),
               libcore-async-clojure (>= 0.2.374),
               libcore-match-clojure,
               libcore-memoize-clojure (>= 0.5.9),
               libdata-priority-map-clojure,
               libfast-zip-visit-clojure (>= 1.0.2),
               libgeronimo-jms-1.1-spec-java,
               libgeronimo-j2ee-management-1.1-spec-java,
               libhikaricp-java (>= 2.4.3),
               libhoneysql-clojure (>= 0.6.3),
               libinstaparse-clojure (>= 1.4.1),
               libjava-jdbc-clojure (>= 0.6.1),
               libjava-jmx-clojure,
               libmath-combinatorics-clojure (>= 0.1.1),
               libmath-numeric-tower-clojure (>= 0.0.4),
               libmetrics-clojure (>= 2.6.1),
               libat-at-clojure (>= 1.2.0),
               libpostgresql-jdbc-java (>= 9.4.1208),
               libprismatic-schema-clojure (>= 1.1.2),
               libcomidi-clojure (>= 0.3.1),
               libdujour-version-check-clojure (>= 0.1.3),
               libpuppetlabs-http-client-clojure (>= 0.5.0),
               libpuppetlabs-i18n-clojure,
               libkitchensink-clojure (>= 1.3.1),
               libstockpile-clojure (>= 0.0.3),
               libtrapperkeeper-clojure,
               libtrapperkeeper-metrics-clojure,
               libtrapperkeeper-status-clojure,
               libtrapperkeeper-webserver-jetty9-clojure,
               libraynes-fs-clojure (>= 1.4.6),
               libring-core-clojure (>= 1.5.0),
               librobert-hooke-clojure (>= 1.3.0),
               libslf4j-java (>= 1.7.14),
               libslingshot-clojure (>= 0.12.2),
               libtools-logging-clojure,
               libtools-macro-clojure (>= 0.1.5),
               libtools-namespace-clojure (>= 0.2.5),
               libversioneer-clojure
Standards-Version: 4.3.0
Homepage: https://github.com/puppetlabs/puppetdb
Vcs-Git: https://salsa.debian.org/puppet-team/puppetdb.git
Vcs-Browser: https://salsa.debian.org/puppet-team/puppetdb

Package: puppetdb
Architecture: all
Depends: adduser,
         dbconfig-pgsql | dbconfig-no-thanks,
         default-jre-headless,
         lsb-base (>= 3.0-6),
         ucf,
         ${java:Depends},
         ${misc:Depends}
Recommends: ${java:Recommends}
Suggests: postgresql, postgresql-contrib, ${java:Suggests}
Description: Puppet data warehouse
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains the PuppetDB server itself.

Package: puppetdb-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Puppet data warehouse - documentation
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains PuppetDB's usage and API documentation.

Package: puppet-terminus-puppetdb
Architecture: all
Depends: puppet (>= 4.0.0~), ${misc:Depends}
Enhances: puppet
Description: Puppet data warehouse -- Puppet master terminus
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains an add-on that allows a Puppet master to use PuppetDB
 for storing and retrieving facts, catalogs and resources.
