=== debian/watch ===
version=3
https://github.com/puppetlabs/puppetdb/tags .*/archive/(.*)\.tar\.gz
