=== debian/changelog ===
puppetdb (7.12.1-3) unstable; urgency=medium

  * fix FTBFS from bogus versions in dependency poms
  * remove nrepl library requirement
  * d/tests: capture puppetserver logs in test artifacts
  * only restart on abormal failure conditions

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 08 Feb 2023 18:58:45 -0500

puppetdb (7.12.1-2) unstable; urgency=medium

  * fix piuparts error

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 30 Jan 2023 09:09:35 -0500

puppetdb (7.12.1-1) unstable; urgency=medium

  * New upstream version 7.12.1
  * systemd service unit changes
    + don't enable systemd service unit at installation
    + sync service manager with app internal state
    + add longer startup timeout for service unit
    + timeout ExecReload after 60 seconds
  * puppetdb script changes:
    + rework puppetdb script binary
    + add ssl-setup subcommand to puppetdb script
  * maintscript changes:
    + setup read-only puppetdb user on install or upgrade
    + ensure dbconfig read-only database user is removed
  * d/control:
    + update package descriptions
    + fix Build-Deps incorrectly flagged as test-only
    + update puppet-terminus-puppetdb depends
    + bump Standards-Version, no changes needed
    - lsb-base is no longer needed
  * d/tests
    + re-enable puppetserver integration test
    + start puppetdb in standalone test
    + test puppetdb binary and reloading service
  * d/patches:
    + exclude docs and config examples from jar
    + fix log file paths
    + puppetdb may already be running on testbed
    + add test for resource export/collection
  * update README.Debian

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 29 Jan 2023 10:56:42 -0500

puppetdb (7.12.0-1) unstable; urgency=medium

  * New upstream version 7.12.0
  * d/control: switch back binary dep to default JRE (Closes: #1026163)
  * d/control: bump honeysql dependency to v2
  * d/patches: refresh patches for new upstream version

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 12 Jan 2023 10:57:15 -0500

puppetdb (7.11.2-3) unstable; urgency=medium

  * d/control: mark puppetdb-doc as M-A: foreign
  * Security issues fixed in 7.x series: CVE-2020-7943, CVE-2021-27019,
    CVE-2021-27021, CVE-2021-27023

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 27 Nov 2022 14:18:55 -0500

puppetdb (7.11.2-2) unstable; urgency=medium

  * Upload to unstable
  * d/patches: add patch to avoid lein error due to java 17
  * d/patches: add patch for postgresql-15 compatibility
  * d/source/lintian-override: fix lintian false positive

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 25 Nov 2022 08:43:43 -0500

puppetdb (7.11.2-1) experimental; urgency=medium

  * New upstream version 7.11.2
  * d/patches: rebase patches
  * d/rules: determine pgsql version automatically
  * run testsuite with pgsql-14 temporarily, no pgsql-15 support yet

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 21 Oct 2022 09:42:42 -0400

puppetdb (7.10.1-1) experimental; urgency=medium

  * New upstream version 7.10.1 (Closes: #990419, #1012577)
  * Switch d/watch to git mode
  * Switch to leiningen build system
  * Fix upstream build tests
  * d/patches:
    - Refresh patches
    - Add patch to replace not-packaged yaml.core in tests
    - new patch to adjust paths in config.ini
    - Reorder patch, put Lein Local first
    - Prevent failure of disable-update-checking test
  * d/control:
    - update Build-Deps
    - bump minimum versions for 2 dependencies
    - add myself to Uploaders
    - tag test-specific Build-Deps
    - bump debhelper-compat to 13
    - fix dependency loop caused by #929685
  * d/rules:
    - fix installation of jar file
    - fix installation of database.ini
  * d/tests:
    - avoid test failure when logfile is missing
    - abort if puppetdb.service enters failed state
    - add Restrictions: isolation-container
    - disable puppet integration test for now
  * d/copyright:
    - add separate Apache-2.0 license stanza
    - add myself to debian/* copyright
    - add paragraph for new js source code
    - add missing license texts
  * Run wrap-and-sort -bastk
  * Bump Standards-Version to 4.6.1, no changes needed
  * Remove StandardOutput=syslog from service unit
  * Add d/upstream/metadata

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 15 Jul 2022 17:57:36 -0400

puppetdb (6.2.0-4) unstable; urgency=medium

  * Make PDB schema bootstrappable with PostgreSQL 11.4 (Closes: #932135)
  * Bump Standards-Version to 4.4.0; no changes needed
  * Bump dh compat to 12
    + Pre-Depend on ${misc:Pre-Depends} to allow dh to inject pre-dependency
      on init-system-helpers

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 16 Jul 2019 21:02:45 -0300
