=== debian/control ===
Source: puppetdb
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk-headless,
 dh-exec,
 javahelper,
 leiningen,
 libasm-java,
 libat-at-clojure (>= 1.2.0),
 libbidi-clojure (>= 2.1.6-2),
 libcheshire-clojure (>= 5.11.0-2),
 libclj-digest-clojure (>= 1.4.3),
 libclj-http-clojure (>= 2.0.1),
 libclj-stacktrace-clojure (>= 0.2.6),
 libclj-time-clojure (>= 0.11.0),
 libcomidi-clojure (>= 0.3.1),
 libcommons-io-java,
 libcommons-lang3-java (>= 3.4),
 libcommons-logging-java,
 libcompojure-clojure (>= 1.5.0),
 libcore-async-clojure (>= 0.2.374),
 libcore-match-clojure,
 libcore-memoize-clojure (>= 0.5.9),
 libdata-priority-map-clojure,
 libdujour-version-check-clojure (>= 0.1.3),
 libdynapath-clojure,
 libfast-zip-visit-clojure (>= 1.0.2),
 libgeronimo-j2ee-management-1.1-spec-java,
 libgeronimo-jms-1.1-spec-java,
 libhikaricp-java (>= 2.4.3),
 libhoneysql-clojure (>= 2.3.911),
 libinstaparse-clojure (>= 1.4.1),
 libjava-jdbc-clojure (>= 0.6.1),
 libjava-jmx-clojure,
 libkitchensink-clojure (>= 3.2.0),
 liblogstash-logback-encoder-java,
 libmath-combinatorics-clojure (>= 0.1.1),
 libmetrics-clojure (>= 2.6.1),
 libmurphy-clojure,
 libnippy-clojure,
 libnrepl-clojure,
 libpostgresql-jdbc-java (>= 9.4.1208),
 libpuppetlabs-i18n-clojure (>= 0.9.2-2),
 libraynes-fs-clojure (>= 1.4.6),
 libring-core-clojure (>= 1.8.2-2),
 librobert-hooke-clojure (>= 1.3.0),
 libslf4j-java (>= 1.7.14),
 libspecter-clojure (>= 0.5.7),
 libstockpile-clojure (>= 0.0.3),
 libstructured-logging-clojure (>= 0.2.0-4),
 libtest-chuck-clojure,
 libtools-logging-clojure,
 libtools-macro-clojure (>= 0.1.5),
 libtools-namespace-clojure (>= 0.2.5),
 libtrapperkeeper-authorization-clojure (>= 1.0.0-3),
 libtrapperkeeper-clojure (>= 3.2.0-2),
 libtrapperkeeper-metrics-clojure (>= 1.5.0-4),
 libtrapperkeeper-status-clojure (>= 1.1.1-3),
 libtrapperkeeper-webserver-jetty9-clojure (>= 4.4.1-4),
 libversioneer-clojure,
 maven-repo-helper,
 postgresql <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://github.com/puppetlabs/puppetdb
Vcs-Git: https://salsa.debian.org/puppet-team/puppetdb.git
Vcs-Browser: https://salsa.debian.org/puppet-team/puppetdb

Package: puppetdb
Architecture: all
Depends:
 adduser,
 dbconfig-pgsql | dbconfig-no-thanks,
 default-jre-headless,
 libtrapperkeeper-clojure (>= 3.2.0-2),
 ucf,
 ${java:Depends},
 ${misc:Depends},
Recommends:
 ${java:Recommends},
Pre-Depends:
 ${misc:Pre-Depends},
Suggests:
 postgresql,
 postgresql-contrib,
 libnippy-clojure,
 ${java:Suggests},
Description: Puppet-integrated catalog and fact storage
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains the PuppetDB server itself.

Package: puppet-terminus-puppetdb
Architecture: all
Depends:
 puppet-agent (>= 7.21.0~),
 ${misc:Depends},
Enhances:
 puppet,
Description: Puppet-integrated catalog and fact storage - Puppet Server terminus
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains an add-on that allows a Puppet Server to use PuppetDB
 for storing and retrieving facts, catalogs and resources.

Package: puppetdb-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Description: Puppet-integrated catalog and fact storage - documentation
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains PuppetDB's usage and API documentation.
