=== debian/tests/control ===
Tests: standalone
Depends:
 curl,
 jq,
 postgresql-contrib,
 puppetdb,
Restrictions: needs-root, isolation-container

Tests: with-puppetserver
Depends:
 augeas-tools,
 curl,
 jq,
 postgresql-contrib,
 puppet-module-puppetlabs-host-core,
 puppet-terminus-puppetdb,
 puppetdb,
 puppetserver,
Restrictions: needs-root, isolation-container
