=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/puppetlabs/puppetdb.git \
refs/tags/([\d\.]+)
