## puppetdb 8.4.1

=== debian/changelog ===
puppetdb (8.4.1-3) unstable; urgency=medium

  * d/patches: add patch to fix tests with pgsql 17 (Closes: #1084038)
    Thanks to Rob Browning for providing this patch.

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 23 Nov 2024 22:34:12 -0500

puppetdb (8.4.1-2) unstable; urgency=medium

  * remove obsolete logrotate config on upgrade (Closes: #941080)
  * d/control: add Rules-Requires-Root: no
  * d/control: bump Standards-Version, no changes needed
  * d/tests: add allow-stderr to restrictions (Closes: #1077976)

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 30 Aug 2024 12:32:52 -0400

puppetdb (8.4.1-1) unstable; urgency=medium

  * New upstream version 8.4.1 (Closes: #1062330, #1064677)
  * d/control:
    + add lower/upper bounds to puppet dependency
    + update build dependencies
    + add new test dependencies
    + mark test.chuck build-dep as test-only
    + terminus add-on Enhances: puppetserver
  * d/patches:
    + refresh patches for new upstream version
    + add patch to downgrade to jetty9
    + skip new failing testcase
    + add patch to resolve ftbfs with java 21 (Closes: #1057678)
    + mark nrepl removal as not-needed upstream
  * d/tests:
    + adjust dependencies
    + switch to structured facts
    - drop host-core module from autopkgtest deps

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 31 Mar 2024 15:00:20 -0400
