=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Apollon Oikonomopoulos <apoikos@debian.org>,
  Jérôme Charaoui <jerome@riseup.net>,
 Build-Depends:
+ curl <!nocheck>,
  debhelper-compat (= 13),
  default-jdk-headless,
  dh-exec,
@@ -16,9 +17,10 @@
  libbidi-clojure (>= 2.1.6-2),
  libcheshire-clojure (>= 5.11.0-2),
  libclj-digest-clojure (>= 1.4.3),
- libclj-http-clojure (>= 2.0.1),
+ libclj-http-clojure (>= 3.12.3),
  libclj-stacktrace-clojure (>= 0.2.6),
  libclj-time-clojure (>= 0.11.0),
+ libclj-yaml-clojure <!nocheck>,
  libcomidi-clojure (>= 0.3.1),
  libcommons-io-java,
  libcommons-lang3-java (>= 3.4),
@@ -27,10 +29,11 @@
  libcore-async-clojure (>= 0.2.374),
  libcore-match-clojure,
  libcore-memoize-clojure (>= 0.5.9),
+ libdata-generators-clojure,
  libdata-priority-map-clojure,
  libdujour-version-check-clojure (>= 0.1.3),
  libdynapath-clojure,
- libfast-zip-visit-clojure (>= 1.0.2),
+ libfast-zip-clojure,
  libgeronimo-j2ee-management-1.1-spec-java,
  libgeronimo-jms-1.1-spec-java,
  libhikaricp-java (>= 2.4.3),
@@ -52,9 +55,10 @@
  librobert-hooke-clojure (>= 1.3.0),
  libslf4j-java (>= 1.7.14),
  libspecter-clojure (>= 0.5.7),
+ libssl-utils-clojure,
  libstockpile-clojure (>= 0.0.3),
  libstructured-logging-clojure (>= 0.2.0-4),
- libtest-chuck-clojure,
+ libtest-chuck-clojure <!nocheck>,
  libtools-logging-clojure,
  libtools-macro-clojure (>= 0.1.5),
  libtools-namespace-clojure (>= 0.2.5),
@@ -64,12 +68,14 @@
  libtrapperkeeper-status-clojure (>= 1.1.1-3),
  libtrapperkeeper-webserver-jetty9-clojure (>= 4.4.1-4),
  libversioneer-clojure,
+ libyaml-snake-java <!nocheck>,
  maven-repo-helper,
  postgresql <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/puppetlabs/puppetdb
 Vcs-Git: https://salsa.debian.org/puppet-team/puppetdb.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/puppetdb
+Rules-Requires-Root: no
 
 Package: puppetdb
 Architecture: all
@@ -100,10 +106,11 @@
 Package: puppet-terminus-puppetdb
 Architecture: all
 Depends:
- puppet-agent (>= 7.21.0~),
+ puppet-agent (>= 8~~),
+ puppet-agent (<< 9~~),
  ${misc:Depends},
 Enhances:
- puppet,
+ puppetserver,
 Description: Puppet-integrated catalog and fact storage - Puppet Server terminus
  PuppetDB collects data generated by Puppet. It enables advanced Puppet
  features like exported resources, and can be the foundation for other
