=== debian/changelog ===
puppetdb (8.8.1-1~exp1) unstable; urgency=medium

  * New upstream version 8.8.1
  * d/control: update dependencies and classpath
  * d/patches: drop patches obsolete or merged upstream
  * d/patches: refresh patches for new upstream version

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 19 Apr 2025 21:16:09 -0400

puppetdb (8.4.1-4) unstable; urgency=medium

  * d/copyright: fix old fsf address
  * d/control: bump libpostgresql-jdbc-java
  * d/control: bump Standards-Version, no changes needed
  * d/patches: add script to regenerate pki used in tests (Closes: #1091504)
  * d/rules: improve clean target (Closes: #1047455)
  * d/tests: fix running tests in a container

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 19 Apr 2025 19:59:53 -0400
