=== debian/control ===
--- 
+++ 
@@ -46,9 +46,11 @@
  libmath-combinatorics-clojure (>= 0.1.1),
  libmetrics-clojure (>= 2.6.1),
  libmurphy-clojure,
+ libnext-jdbc-clojure,
  libnippy-clojure,
  libnrepl-clojure,
- libpostgresql-jdbc-java (>= 9.4.1208),
+ libpostgresql-jdbc-java (>= 42.7.5-2),
+ libpuppetlabs-ring-middleware-clojure (>> 2.0.4),
  libpuppetlabs-i18n-clojure (>= 0.9.2-2),
  libraynes-fs-clojure (>= 1.4.6),
  libring-core-clojure (>= 1.8.2-2),
@@ -59,6 +61,7 @@
  libstockpile-clojure (>= 0.0.3),
  libstructured-logging-clojure (>= 0.2.0-4),
  libtest-chuck-clojure <!nocheck>,
+ libtools-cli-clojure (>= 1.0.206),
  libtools-logging-clojure,
  libtools-macro-clojure (>= 0.1.5),
  libtools-namespace-clojure (>= 0.2.5),
@@ -71,7 +74,9 @@
  libyaml-snake-java <!nocheck>,
  maven-repo-helper,
  postgresql <!nocheck>,
-Standards-Version: 4.7.0
+ ruby <!nocheck>,
+ ruby-puppetserver-ca-cli <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/puppetlabs/puppetdb
 Vcs-Git: https://salsa.debian.org/puppet-team/puppetdb.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/puppetdb
@@ -83,6 +88,7 @@
  adduser,
  dbconfig-pgsql | dbconfig-no-thanks,
  default-jre-headless,
+ libpostgresql-jdbc-java (>= 42.7.5-2),
  libtrapperkeeper-clojure (>= 3.2.0-2),
  ucf,
  ${java:Depends},
