=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd test-resources && ( for f in ca.pem localhost.pem localhost.key; do mv $${f} $${f}.clean; done )
+	mv test-resources/puppetserver/ssl test-resources/puppetserver/ssl.clean
+	ruby test-resources/regen_certs.rb
 	export pg_ver=$$(/usr/share/postgresql-common/supported-versions --installed); \
 	export PATH=$$PATH:$(CURDIR)/debian/bin && \
 	./ext/bin/with-pdbbox \
@@ -39,7 +42,9 @@
 	dh_installsystemd --no-enable
 
 override_dh_clean:
-	rm -f debian/maven-repo
-	rm -Rf target
-	rm -f debian/pom.xml
+	rm -f debian/maven-repo debian/pom.xml
+	rm -Rf .lein .lein-failures core-test-?????? target
+	-cd test-resources && ( for f in ca.pem localhost.pem localhost.key; do test -f $${f}.clean && mv $${f}.clean $${f} || true; done )
+	-test -d test-resources/puppetserver/ssl.clean && \
+		( rm -rf test-resources/puppetserver/ssl; mv test-resources/puppetserver/ssl.clean test-resources/puppetserver/ssl )
 	dh_clean
