=== debian/tests/control ===
Tests: standalone
Depends:
 @,
 curl,
 jq,
 postgresql-contrib,
Restrictions: needs-root, isolation-container, allow-stderr

Tests: with-puppetserver
Depends:
 @,
 augeas-tools,
 curl,
 jq,
 postgresql-contrib,
 puppet-terminus-puppetdb (>= 8~~),
 puppetserver,
Restrictions: needs-root, isolation-container, allow-stderr
